For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
        • GETGet Eligible Locations
        • GETGet Location by ID
        • GETGet Locations by Merchant ID
        • GETGet Locations
Get supportSee a Demo
API ReferenceRewardsLocations

Get Location by ID

GET
/rewards/merchant/location/:id
GET
/rewards/merchant/location/:id
$curl https://rewards-api.getkard.com/rewards/merchant/location/%7Bid%7D \
> -H "Authorization: Bearer <token>"
1{
2 "_id": "5e27318c9b346f00087fba8l",
3 "merchantId": "615cc7df498bed0009bbf3bf",
4 "name": "Some Location",
5 "locationType": "INSTORE",
6 "address": {
7 "street": "120 Main St",
8 "city": "Philadelphia",
9 "state": "PA",
10 "zipCode": "19147"
11 },
12 "geoLocation": {
13 "longitude": -75.1446869,
14 "latitude": 39.9419429
15 },
16 "phone": "(123) 555-8880",
17 "createdDate": "2021-10-05T21:47:11.994Z",
18 "lastModified": "2024-05-10T01:38:11.542Z",
19 "source": "LOCAL",
20 "category": "Food & Beverage",
21 "operationHours": {
22 "SUNDAY": "4:00PM - 10:00PM",
23 "MONDAY": "4:30PM - 10:00PM",
24 "TUESDAY": "4:30PM - 10:00PM",
25 "WEDNESDAY": "4:30PM - 10:00PM",
26 "THURSDAY": "4:30PM - 10:00PM",
27 "FRIDAY": "4:30PM - 11:00PM",
28 "SATURDAY": "4:30PM - 11:00PM"
29 },
30 "googleId": "ChIJUwU6IZrIxokRgX-V0_Y0eXx"
31}

Retrieve location data for a specific Kard location ID.
Required scopes: rewards:read

Was this page helpful?
Previous

Get Locations by Merchant ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The Kard location ID to query

Response

This endpoint returns an object.
_idstring
Location ID in Kard's system
merchantIdstring
Merchant ID in Kard's system associated to location
namestring
Name of the location
locationTypeenum
Type of offer associated to location, will always be in INSTORE
Allowed values:
addressobject
Address of location
geoLocationobject

Geo-coordinates of location

phonestring
Phone number for location
createdDatedatetime

Created date of location in Kard’s system (UTC)

lastModifieddatetime

Last modified date of location in Kard’s system (UTC)

sourceenum
Source of the merchant associated to the location
Allowed values:
categoryenum
Category of merchant associated with location
operationHoursobject
Hours of operation for location
googleIdstring
GoogleId of location

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error